--- src/3rdparty/chromium/services/device/usb/BUILD.gn.orig	2023-09-13 12:11:42 UTC
+++ src/3rdparty/chromium/services/device/usb/BUILD.gn
@@ -89,15 +89,17 @@ static_library("usb") {
     deps += [ "//third_party/re2" ]
   }
 
-  if (is_mac) {
-    sources += [
-      "usb_device_handle_mac.cc",
-      "usb_device_handle_mac.h",
-      "usb_device_mac.cc",
-      "usb_device_mac.h",
-      "usb_service_mac.cc",
-      "usb_service_mac.h",
-    ]
+  if (is_mac || is_openbsd) {
+    if (is_mac) {
+      sources += [
+        "usb_device_handle_mac.cc",
+        "usb_device_handle_mac.h",
+        "usb_device_mac.cc",
+        "usb_device_mac.h",
+        "usb_service_mac.cc",
+        "usb_service_mac.h",
+      ]
+    }
 
     # These sources and deps are required for libusb.
     # TODO(https://crbug.com/1096743) Remove these sources.
@@ -121,6 +123,13 @@ static_library("usb") {
     deps += [ "//third_party/libusb" ]
   }
 
+  if (is_freebsd) {
+    sources += [
+      "usb_service_fake.cc",
+      "usb_service_fake.h",
+    ]
+  }
+
   if (is_linux || is_chromeos) {
     sources += [
       "usb_device_linux.cc",
@@ -138,7 +147,7 @@ static_library("usb") {
     deps += [ "//device/udev_linux" ]
   }
 
-  if (is_android || is_chromeos || is_linux) {
+  if (is_android || is_chromeos || is_linux && !is_bsd) {
     sources += [
       "usb_device_handle_usbfs.cc",
       "usb_device_handle_usbfs.h",
